/* AP 09-05-00 Frontend to COM stack component */

# include <stdio.h>
# include "StackComponent2002.h"


/* include type and constant definitions */
# include "StackComponent2002_i.c"

main (int argc, char ** argv ) {
	char buf[80];
	int val;
	
	IUnknown*	pUnknown;
	IStack2002*		pStack;
	
	CoInitialize( NULL );
	CoCreateInstance( CLSID_Stack2002, NULL, CLSCTX_SERVER, IID_IUnknown, (void **) &pUnknown );

	pUnknown->QueryInterface( IID_IStack2002, (void **) &pStack );
	pUnknown->Release();

	printf("enter value: ");
	gets( buf );
	val = atoi( buf );
	printf("\n ...pushing %d\n", val );

	pStack->push( val );

	printf("press enter to pop value from stack\n");
	gets( buf );

	pStack->pop( &val );
	printf("pop returned %d\n", val );
	
	printf("press enter to quit\n");
	gets( buf );

	printf("Quitting now...\n");

	pStack->Release();
	CoUninitialize();

	return 0;
}